
QGIS Application - Bug report #2023

attribute table fails to display all rows after editing vector layer

2009-10-19 11:02 AM - stevehartley -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12083

Description

Edit a vector layer, toggle editing off and save changes, then open the layer's attribute table.  The table then only displays a handful of the

layer's items.  The data has not been lost, since closing and reopening QGIS allows the attribute table to properly display the layer's

contents.  The attribute table will display properly if opened before editing, and kept open while editing is toggled off and changes saved.

History

#1 - 2009-11-29 07:30 AM - Giovanni Manghi

I cannot replicate the problem here.

Can you please test the qgis-dev version (available via the osgeo4w installer) and report back?

If the problem is confirmed can you please post a sample data in order to make further tests? thanks.

#2 - 2009-12-07 04:37 AM - stevehartley -

Replying to [comment:1 lutra]:

I cannot replicate the problem here.

Can you please test the qgis-dev version (available via the osgeo4w installer) and report back?

If the problem is confirmed can you please post a sample data in order to make further tests? thanks.

I still get the problem with 1.4.0 Enceladus.  The posted layer should display it.  Having played around with it some more, I've found out more about it.  The

bug only occurs if you add an object, not when you delete or merely move one.  The number of objects the attribute table displays is linked to the number

displayed in the map view according to the zoom level, i.e. if you zoom in so that n objects from the layer to be edited are shown on the map view, then add

an object to the layer and save, the attribute table will display the first n+1 objects in the layer's list (not necessarily those shown in the map view).  Note

this means that if the whole layer is shown in the map view when you add an object, then the table will display all the layer's objects, and you wouldn't know

there's a bug.

#3 - 2009-12-07 07:34 AM - Giovanni Manghi

I cannot reproduce the problem on both linux and windows using qgis trunk. Have you the chance to try qgis in another pc?
#4 - 2009-12-07 09:05 AM - stevehartley -

Replying to [comment:3 lutra]:

I cannot reproduce the problem on both linux and windows using qgis trunk. Have you the chance to try qgis in another pc?

I might be able to use a neighbour's in a week or so.  I haven't got any other software problems on this machine at the moment, and anti-malware scans are

clear.  What version Windows are you using?  Can you try using Win 2000?

#5 - 2009-12-08 11:23 AM - Giovanni Manghi

Replying to [comment:4 stevehartley]:

What version Windows are you using?

qgis trunk under linux (and also under xp and vista in virtual machines)

Can you try using Win 2000?

no

I would suggest you to make a clean install (remove any .qgis directory containing personal definitions) and/or check if you enabled the render caching in

qgis options.

#6 - 2009-12-10 10:19 AM - stevehartley -

Replying to [comment:5 lutra]:

Replying to [comment:4 stevehartley]:

What version Windows are you using?

qgis trunk under linux (and also under xp and vista in virtual machines)

Can you try using Win 2000?

no

I would suggest you to make a clean install (remove any .qgis directory containing personal definitions) and/or check if you enabled the render

caching in qgis options.

Enable/disable render caching makes no difference.

I've tried to clean install, removing OSGeo4 and .qgis directories and anything else I can find affected by qgis (including projects and shape-files), but still

get the problem.  It seems that usage info is hidden somewhere on my machine, because when I open up a "clean" installation, the toolbars and layer

panel are positioned as at the last save of a project (prior to attempting a clean install).  Any ideas?
#7 - 2009-12-10 10:28 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

Replying to [comment:6 stevehartley]:

Any ideas?

try another pc (and/or O.S.) when/if you can, then report back. Then reopen the ticket if you can replicate the problem in another environment. Thanks in

advance.

#8 - 2010-06-27 10:00 AM - stevehartley -

Replying to [comment:7 lutra]:

Replying to [comment:6 stevehartley]:

Any ideas?

try another pc (and/or O.S.) when/if you can, then report back. Then reopen the ticket if you can replicate the problem in another environment.

Thanks in advance.

I haven't been able to install on another PC, but I find the problem no longer occurs in 1.5 Tethys.  I still get it in 1.4 Enceladus.

Files

Fleam_Dyke_Indicator_Species.dbf 50.9 KB 2009-12-07 stevehartley -

Fleam_Dyke_Indicator_Species.2.dbf 50.9 KB 2009-12-07 stevehartley -

Fleam_Dyke_Indicator_Species.prj 415 Bytes 2009-12-07 stevehartley -

Fleam_Dyke_Indicator_Species.shp 6.52 KB 2009-12-07 stevehartley -

Fleam_Dyke_Indicator_Species.shx 1.93 KB 2009-12-07 stevehartley -

2025-04-27 3/3


